Module
Contents
Index 🔎︎

# CSng Function

Converts any string or numeric expression to data type Single.

## Syntax:

    CSng (Expression)

## Return value:

Single

## Parameters:

Expression: A string or numeric expression that you want to convert. To convert a string expression, the number must be entered as normal text ("123.5") using the default number format of your operating system.

## Error codes:

5 Invalid procedure call

## Example:

    Sub ExampleCSNG

        MsgBox CDbl(1234.5678)

        MsgBox CInt(1234.5678)

        MsgBox CLng(1234.5678)

        MsgBox CSng(1234.5678)

    End Sub